> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Abort a running or pending execution

> Signals the worker to stop the execution between steps and marks it cancelled. Idempotent-ish: already-terminal executions return 409.



## OpenAPI

````yaml /api-reference/workflows.yaml post /executions/{executionId}/abort
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /executions/{executionId}/abort:
    post:
      tags:
        - Executions
      summary: Abort a running or pending execution
      description: >-
        Signals the worker to stop the execution between steps and marks it
        cancelled. Idempotent-ish: already-terminal executions return 409.
      operationId: abortExecution
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: executionId
          in: path
      responses:
        '200':
          description: Execution aborted
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/FlowExecution'
                required:
                  - data
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '409':
          description: Conflict
components:
  schemas:
    FlowExecution:
      type: object
      properties:
        id:
          type: string
          format: uuid
        flowId:
          type: string
          format: uuid
        triggerId:
          type: string
          format: uuid
        eventId:
          type:
            - string
            - 'null'
          format: uuid
        flowName:
          type:
            - string
            - 'null'
        triggerName:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
          enum:
            - pending
            - running
            - success
            - failed
            - cancelled
            - skipped
            - invalid
        kind:
          type: string
          enum:
            - live
            - dry_run
        result: {}
        error:
          type:
            - string
            - 'null'
        startedAt:
          type:
            - string
            - 'null'
        finishedAt:
          type:
            - string
            - 'null'
      required:
        - id
        - flowId
        - triggerId
        - eventId
        - flowName
        - triggerName
        - status
        - kind
        - error
        - startedAt
        - finishedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````